Subject: Re: [PATCH net-next v3] net: marvell: prestera: add firmware v4.0 support

From: Andrew Lunn <[email-masked]>
Date: Wed, 20 Oct 2021 14:47:58 +0200

On Wed, Oct 20, 2021 at 12:32:28PM +0300, Volodymyr Mytnyk wrote:
> From: Volodymyr Mytnyk <[email-masked]>
> 
> Add firmware (FW) version 4.0 support for Marvell Prestera
> driver.
> 
> Major changes have been made to new v4.0 FW ABI to add support
> of new features, introduce the stability of the FW ABI and ensure
> better forward compatibility for the future driver vesrions.
> 
> Current v4.0 FW feature set support does not expect any changes
> to ABI, as it was defined and tested through long period of time.
> The ABI may be extended in case of new features, but it will not
> break the backward compatibility.

So if we decide to merge this, we will hold you to this statement. You
can never again break the ABI. The driver will always support v4.0
firmware.

Are you really sure you have it correct this time?

    Andrew